v1
Create Model Spec
Create a new model specification.
POST
/
v1
/
model-specs
/
Create Model Spec
curl --request POST \
--url https://api.example.com/v1/model-specs/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"context_window": 123,
"display_name": "<string>",
"input_cost_per_token": 1,
"model_name": "<string>",
"output_cost_per_token": 1,
"provider_spec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_context_strategy": "<string>",
"description": "<string>",
"is_active": true,
"max_output_tokens": 1
}
'import requests
url = "https://api.example.com/v1/model-specs/"
payload = {
"context_window": 123,
"display_name": "<string>",
"input_cost_per_token": 1,
"model_name": "<string>",
"output_cost_per_token": 1,
"provider_spec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_context_strategy": "<string>",
"description": "<string>",
"is_active": True,
"max_output_tokens": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
context_window: 123,
display_name: '<string>',
input_cost_per_token: 1,
model_name: '<string>',
output_cost_per_token: 1,
provider_spec_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
default_context_strategy: '<string>',
description: '<string>',
is_active: true,
max_output_tokens: 1
})
};
fetch('https://api.example.com/v1/model-specs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context_window": 123,
"created_at": "<string>",
"default_context_strategy": "<string>",
"description": "<string>",
"display_name": "<string>",
"id": "<string>",
"is_active": true,
"model_name": "<string>",
"provider_spec_id": "<string>",
"updated_at": "<string>",
"input_cost_per_token": 123,
"max_output_tokens": 123,
"output_cost_per_token": 123,
"provider_key": "<string>",
"provider_name": "<string>",
"supports_function_calling": false,
"supports_reasoning": false,
"supports_vision": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required range:
x >= 0Required range:
x >= 0Required range:
x > 0Response
Successful Response
⌘I
Create Model Spec
